<?php
require_once 'vendor/autoload.php';
use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;
$api = new MangoPayApi();
$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';
try {
$payinId = 'payin_m_01HYG8DRT5FHT1FV44MV9KR1BS';
$response = $api->PayIns->Get($payinId);
print_r($response);
} catch(MGPResponseException $e) {
print_r($e);
} catch(MGPException $e) {
print_r($e);
}
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
})
let myPayIn = {
Id: '156279887',
}
const viewPayIn = async (payinId) => {
return await mangopay.PayIns.get(payinId)
.then((response) => {
console.info(response)
return response
})
.catch((err) => {
console.log(err)
return false
})
}
viewPayIn(myPayIn.Id)
require 'mangopay'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'your-client-id'
client.client_apiKey = 'your-api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
def viewPayIn(payinId)
begin
response = MangoPay::PayIn.fetch(payinId)
puts response
return response
rescue MangoPay::ResponseError => error
puts "Failed to fetch PayIn: #{error.message}"
puts "Error details: #{error.details}"
return false
end
end
myPayIn = {
Id: '156279887'
}
viewPayIn(myPayIn[:Id])
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.mangopay.MangoPayApi;
import com.mangopay.entities.PayIn;
public class ViewPayIn {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-client-id");
mangopay.getConfig().setClientPassword("your-api-key");
PayIn payin = mangopay.getPayInApi().get("your-payin-id");
Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
String prettyJson = prettyPrint.toJson(payin);
System.out.println(prettyJson);
}
}
from pprint import pprint
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import PayIn
payin_id = 'wt_4fdf7754-6213-4016-be88-84587f093623'
try:
view_payin = PayIn.get(payin_id)
pprint(view_payin._data)
except PayIn.DoesNotExist:
print('PayIn {} does not exist.'.format(payin_id))
using MangoPay.SDK;
using MangoPay.SDK.Core.Enumerations;
using MangoPay.SDK.Entities;
using MangoPay.SDK.Entities.POST;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var viewPayIn = await api.PayIns.GetPayPalWebAsync("wt_2bd24e45-7b9d-4095-87a7-516a418d4c81");
string prettyPrint = JsonConvert.SerializeObject(viewPayIn, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
}
{
"Id": "wt_00a046e2-cc5c-46ba-91e0-1feca23922e4",
"Tag": "Created using the Mangopay API Postman collection",
"CreationDate": 1699367848,
"AuthorId": "204068024",
"DebitedFunds": {
"Currency": "EUR",
"Amount": 1500
},
"CreditedFunds": {
"Currency": "EUR",
"Amount": 1200
},
"Fees": {
"Currency": "EUR",
"Amount": 300
},
"Status": "SUCCEEDED",
"ResultCode": "000000",
"ResultMessage": "Success",
"ExecutionDate": 1699368834,
"Type": "PAYIN",
"Nature": "REGULAR",
"CreditedWalletId": "204089031",
"CreditedUserId": "204068024",
"PaymentType": "PAYPAL",
"ExecutionType": "WEB",
"ReturnURL": "http://www.mangopay.com/docs/please-ignore?transactionId=wt_00a046e2-cc5c-46ba-91e0-1feca23922e4",
"RedirectURL": "https://www.sandbox.paypal.com/checkoutnow?token=48X37022FD879043B",
"StatementDescriptor": "Mangopay",
"Shipping": {
"FirstName": "Alex",
"LastName": "Smith",
"Address": {
"AddressLine1": "6 rue de la Cité",
"AddressLine2": "Appartement 3",
"City": "Paris",
"Region": "île-de-france",
"PostalCode": "75003",
"Country": "FR"
}
},
"LineItems": [
{
"Name": "Running shoes",
"Quantity": 2,
"UnitAmount": 400,
"TaxAmount": 100,
"Description": "ID of Seller 1"
},
{
"Name": "Walking shoes",
"Quantity": 1,
"UnitAmount": 400,
"TaxAmount": 100,
"Description": "ID of Seller 2"
}
],
"Culture": "FR",
"ShippingPreference": "SET_PROVIDED_ADDRESS",
"PaypalBuyerAccountEmail": "alex.smith@example.com",
"Reference": "1234",
"Trackings": null,
"CancelURL": null,
"PaypalPayerID": null,
"BuyerCountry": null,
"BuyerFirstname": null,
"BuyerLastname": null,
"BuyerPhone": null,
"PaypalOrderID": "0V2469407F242402P"
}
{
"Id": "wt_70621ad8-4ea8-4ea5-9893-b4b5ebb1da17",
"Tag": "Created using the Mangopay API Postman collection",
"CreationDate": 1731580317,
"AuthorId": "user_m_01J9KR16BG7EDC8RNEY2M18EXK",
"DebitedFunds": {
"Currency": "EUR",
"Amount": 4500
},
"CreditedFunds": {
"Currency": "EUR",
"Amount": 4500
},
"Fees": {
"Currency": "EUR",
"Amount": 0
},
"Status": "SUCCEEDED",
"ResultCode": "000000",
"ResultMessage": "Success",
"ExecutionDate": 1731580323,
"Type": "PAYIN",
"Nature": "REGULAR",
"CreditedWalletId": "wlt_m_01J9KR4A7BH8KVE4PG6DTNS817",
"CreditedUserId": "user_m_01J9KR16BG7EDC8RNEY2M18EXK",
"PaymentType": "PAYPAL",
"ExecutionType": "WEB",
"ReturnURL": "http://example.com?transactionId=wt_70621ad8-4ea8-4ea5-9893-b4b5ebb1da17",
"StatementDescriptor": "Example123",
"Shipping": {
"FirstName": "Leland",
"LastName": "Baumbach",
"Address": {
"AddressLine1": "65247 Hand Walk",
"AddressLine2": "Mraz Neck",
"City": "Paris",
"Region": "Île-de-France",
"PostalCode": "75001",
"Country": "FR"
}
},
"LineItems": [
{
"Name": "Product C",
"Quantity": 1,
"UnitAmount": 1500,
"TaxAmount": 0,
"Description": "ID of Seller 1",
"Category": "PHYSICAL_GOODS"
},
{
"Name": "Product D",
"Quantity": 1,
"UnitAmount": 3000,
"TaxAmount": 0,
"Description": "ID of Seller 2",
"Category": "PHYSICAL_GOODS"
}
],
"Culture": "FR",
"ShippingPreference": "SET_PROVIDED_ADDRESS",
"PaypalBuyerAccountEmail": "sb-xej7a6945106@business.example.com",
"Reference": "abcd-efgh-ijkl",
"Trackings": null,
"CancelURL": "http://google.com?transactionId=wt_70621ad8-4ea8-4ea5-9893-b4b5ebb1da17",
"PaypalPayerID": "RVN3GJJS2KGV4",
"BuyerCountry": "FR",
"BuyerFirstname": "John",
"BuyerLastname": "Doe",
"BuyerPhone": null,
"PaypalOrderID": "9KH88598NK328901B",
"RecurringPayinRegistrationId": "recpayinreg_wt_c1fb7e3f-8204-4427-9251-df886fbb4e42"
}
{
"AuthorId": "user_m_01KMD5PX2KPDVQ0C37XR375MPP",
"CreditedUserId": "user_m_01KMD5PX2KPDVQ0C37XR375MPP",
"CreditedWalletId": "wlt_m_01KMD5SMMF7ZXQ8JM0W9DG8WZJ",
"DepositId": "deposit_wt_05e5e212-fa97-4d67-8c5e-1495eb91d8b4",
"Id": "wt_2d749eb5-90c6-4c3c-9146-bda5ffa65d3f",
"CreationDate": 1774264176,
"ResultCode": "000000",
"ResultMessage": "Success",
"Status": "SUCCEEDED",
"ExecutionDate": 1774264178,
"Type": "PAYIN",
"Nature": "REGULAR",
"PaymentType": "PREAUTHORIZED",
"ExecutionType": "WEB",
"DebitedFunds": {
"Currency": "GBP",
"Amount": 1000
},
"CreditedFunds": {
"Currency": "GBP",
"Amount": 1000
},
"Fees": {
"Currency": "GBP",
"Amount": 0
},
"Tag": "Created using Mangopay API Postman Collection",
"StatementDescriptor": null,
"AuthenticationResult": {
"AuthenticationType": null
}
}
PayPal
View a PayIn (PayPal)
GET
/
v2.01
/
{ClientId}
/
payins
/
{PayInId}
<?php
require_once 'vendor/autoload.php';
use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;
$api = new MangoPayApi();
$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';
try {
$payinId = 'payin_m_01HYG8DRT5FHT1FV44MV9KR1BS';
$response = $api->PayIns->Get($payinId);
print_r($response);
} catch(MGPResponseException $e) {
print_r($e);
} catch(MGPException $e) {
print_r($e);
}
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
})
let myPayIn = {
Id: '156279887',
}
const viewPayIn = async (payinId) => {
return await mangopay.PayIns.get(payinId)
.then((response) => {
console.info(response)
return response
})
.catch((err) => {
console.log(err)
return false
})
}
viewPayIn(myPayIn.Id)
require 'mangopay'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'your-client-id'
client.client_apiKey = 'your-api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
def viewPayIn(payinId)
begin
response = MangoPay::PayIn.fetch(payinId)
puts response
return response
rescue MangoPay::ResponseError => error
puts "Failed to fetch PayIn: #{error.message}"
puts "Error details: #{error.details}"
return false
end
end
myPayIn = {
Id: '156279887'
}
viewPayIn(myPayIn[:Id])
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.mangopay.MangoPayApi;
import com.mangopay.entities.PayIn;
public class ViewPayIn {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-client-id");
mangopay.getConfig().setClientPassword("your-api-key");
PayIn payin = mangopay.getPayInApi().get("your-payin-id");
Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
String prettyJson = prettyPrint.toJson(payin);
System.out.println(prettyJson);
}
}
from pprint import pprint
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import PayIn
payin_id = 'wt_4fdf7754-6213-4016-be88-84587f093623'
try:
view_payin = PayIn.get(payin_id)
pprint(view_payin._data)
except PayIn.DoesNotExist:
print('PayIn {} does not exist.'.format(payin_id))
using MangoPay.SDK;
using MangoPay.SDK.Core.Enumerations;
using MangoPay.SDK.Entities;
using MangoPay.SDK.Entities.POST;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var viewPayIn = await api.PayIns.GetPayPalWebAsync("wt_2bd24e45-7b9d-4095-87a7-516a418d4c81");
string prettyPrint = JsonConvert.SerializeObject(viewPayIn, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
}
{
"Id": "wt_00a046e2-cc5c-46ba-91e0-1feca23922e4",
"Tag": "Created using the Mangopay API Postman collection",
"CreationDate": 1699367848,
"AuthorId": "204068024",
"DebitedFunds": {
"Currency": "EUR",
"Amount": 1500
},
"CreditedFunds": {
"Currency": "EUR",
"Amount": 1200
},
"Fees": {
"Currency": "EUR",
"Amount": 300
},
"Status": "SUCCEEDED",
"ResultCode": "000000",
"ResultMessage": "Success",
"ExecutionDate": 1699368834,
"Type": "PAYIN",
"Nature": "REGULAR",
"CreditedWalletId": "204089031",
"CreditedUserId": "204068024",
"PaymentType": "PAYPAL",
"ExecutionType": "WEB",
"ReturnURL": "http://www.mangopay.com/docs/please-ignore?transactionId=wt_00a046e2-cc5c-46ba-91e0-1feca23922e4",
"RedirectURL": "https://www.sandbox.paypal.com/checkoutnow?token=48X37022FD879043B",
"StatementDescriptor": "Mangopay",
"Shipping": {
"FirstName": "Alex",
"LastName": "Smith",
"Address": {
"AddressLine1": "6 rue de la Cité",
"AddressLine2": "Appartement 3",
"City": "Paris",
"Region": "île-de-france",
"PostalCode": "75003",
"Country": "FR"
}
},
"LineItems": [
{
"Name": "Running shoes",
"Quantity": 2,
"UnitAmount": 400,
"TaxAmount": 100,
"Description": "ID of Seller 1"
},
{
"Name": "Walking shoes",
"Quantity": 1,
"UnitAmount": 400,
"TaxAmount": 100,
"Description": "ID of Seller 2"
}
],
"Culture": "FR",
"ShippingPreference": "SET_PROVIDED_ADDRESS",
"PaypalBuyerAccountEmail": "alex.smith@example.com",
"Reference": "1234",
"Trackings": null,
"CancelURL": null,
"PaypalPayerID": null,
"BuyerCountry": null,
"BuyerFirstname": null,
"BuyerLastname": null,
"BuyerPhone": null,
"PaypalOrderID": "0V2469407F242402P"
}
{
"Id": "wt_70621ad8-4ea8-4ea5-9893-b4b5ebb1da17",
"Tag": "Created using the Mangopay API Postman collection",
"CreationDate": 1731580317,
"AuthorId": "user_m_01J9KR16BG7EDC8RNEY2M18EXK",
"DebitedFunds": {
"Currency": "EUR",
"Amount": 4500
},
"CreditedFunds": {
"Currency": "EUR",
"Amount": 4500
},
"Fees": {
"Currency": "EUR",
"Amount": 0
},
"Status": "SUCCEEDED",
"ResultCode": "000000",
"ResultMessage": "Success",
"ExecutionDate": 1731580323,
"Type": "PAYIN",
"Nature": "REGULAR",
"CreditedWalletId": "wlt_m_01J9KR4A7BH8KVE4PG6DTNS817",
"CreditedUserId": "user_m_01J9KR16BG7EDC8RNEY2M18EXK",
"PaymentType": "PAYPAL",
"ExecutionType": "WEB",
"ReturnURL": "http://example.com?transactionId=wt_70621ad8-4ea8-4ea5-9893-b4b5ebb1da17",
"StatementDescriptor": "Example123",
"Shipping": {
"FirstName": "Leland",
"LastName": "Baumbach",
"Address": {
"AddressLine1": "65247 Hand Walk",
"AddressLine2": "Mraz Neck",
"City": "Paris",
"Region": "Île-de-France",
"PostalCode": "75001",
"Country": "FR"
}
},
"LineItems": [
{
"Name": "Product C",
"Quantity": 1,
"UnitAmount": 1500,
"TaxAmount": 0,
"Description": "ID of Seller 1",
"Category": "PHYSICAL_GOODS"
},
{
"Name": "Product D",
"Quantity": 1,
"UnitAmount": 3000,
"TaxAmount": 0,
"Description": "ID of Seller 2",
"Category": "PHYSICAL_GOODS"
}
],
"Culture": "FR",
"ShippingPreference": "SET_PROVIDED_ADDRESS",
"PaypalBuyerAccountEmail": "sb-xej7a6945106@business.example.com",
"Reference": "abcd-efgh-ijkl",
"Trackings": null,
"CancelURL": "http://google.com?transactionId=wt_70621ad8-4ea8-4ea5-9893-b4b5ebb1da17",
"PaypalPayerID": "RVN3GJJS2KGV4",
"BuyerCountry": "FR",
"BuyerFirstname": "John",
"BuyerLastname": "Doe",
"BuyerPhone": null,
"PaypalOrderID": "9KH88598NK328901B",
"RecurringPayinRegistrationId": "recpayinreg_wt_c1fb7e3f-8204-4427-9251-df886fbb4e42"
}
{
"AuthorId": "user_m_01KMD5PX2KPDVQ0C37XR375MPP",
"CreditedUserId": "user_m_01KMD5PX2KPDVQ0C37XR375MPP",
"CreditedWalletId": "wlt_m_01KMD5SMMF7ZXQ8JM0W9DG8WZJ",
"DepositId": "deposit_wt_05e5e212-fa97-4d67-8c5e-1495eb91d8b4",
"Id": "wt_2d749eb5-90c6-4c3c-9146-bda5ffa65d3f",
"CreationDate": 1774264176,
"ResultCode": "000000",
"ResultMessage": "Success",
"Status": "SUCCEEDED",
"ExecutionDate": 1774264178,
"Type": "PAYIN",
"Nature": "REGULAR",
"PaymentType": "PREAUTHORIZED",
"ExecutionType": "WEB",
"DebitedFunds": {
"Currency": "GBP",
"Amount": 1000
},
"CreditedFunds": {
"Currency": "GBP",
"Amount": 1000
},
"Fees": {
"Currency": "GBP",
"Amount": 0
},
"Tag": "Created using Mangopay API Postman Collection",
"StatementDescriptor": null,
"AuthenticationResult": {
"AuthenticationType": null
}
}
For PayPal, the pay-in object retrievable on this endpoint is the same for one-time and recurring payments except that
RecurringPayinRegistrationId is only returned for recurring pay-ins.
For preauthorizations, the object is different as many properties are in the PayPal preauthorization object.
Note – Pay-in data retained for 13 monthsAn API call to retrieve a pay-in whose
CreationDate is older than 13 months may return 404 Not Found.For more information, see the Data availability periods article.Path parameters
string
required
The unique identifier of the pay-in.
Responses
200 - Succeeded
200 - Succeeded
- One-time
- Recurring
- Preauthorized
string
Max length: 128 characters (see data formats for details)The unique identifier of the object.
string
Max. length: 255 charactersCustom data that you can add to this object.
For transactions (pay-in, transfer, payout), you can use this parameter to identify corresponding information regarding the user, transaction, or payment methods on your platform.
For transactions (pay-in, transfer, payout), you can use this parameter to identify corresponding information regarding the user, transaction, or payment methods on your platform.
Unix timestamp
The date and time at which the object was created.
string
The unique identifier of the user at the source of the transaction.
object
Information about the debited funds. The amount must be equal to the total of all
UnitAmount and TaxAmount of all LineItems.Show properties
Show properties
string
Returned values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the funds.
integer
An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as
1260 whereas JPY 12 would be represented as just 12).object
Information about the credited funds (
CreditedFunds = DebitedFunds - Fees).Show properties
Show properties
string
Returned values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the funds.
integer
An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as
1260 whereas JPY 12 would be represented as just 12).object
Information about the fees.
Show properties
Show properties
string
Returned values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the fees.
integer
An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as
1260 whereas JPY 12 would be represented as just 12).string
Returned values:
CREATED, SUCCEEDED, FAILEDThe status of the transaction.string
The code indicating the result of the operation. This information is mostly used to handle errors or for filtering purposes.
string
The explanation of the result code.
Unix timestamp
The date and time at which the status changed to
SUCCEEDED, indicating that the transaction occurred. The statuses CREATED and FAILED return an ExecutionDate of null.string
Returned values:
PAYIN, TRANSFER, CONVERSION, PAYOUTThe type of the transaction.string
Returned values:
REGULAR, REPUDIATION, REFUND, SETTLEMENTThe nature of the transaction, providing more information about the context in which the transaction occurred:REGULAR– Relative to most of the transactions (pay-ins, payouts, and transfers) in a usual workflow.REPUDIATION– Automatic withdrawal of funds from the platform’s repudiation wallet as part of the dispute process (when the user has requested a chargeback).REFUND– Reimbursement of a transaction to the user (pay-in refund), to a wallet (transfer refund), or of a payout (payout refund, only initiated by Mangopay).SETTLEMENT– Transfer made to the repudiation wallet by the platform to settle a lost dispute.
string
The unique identifier of the credited wallet.
string
Returned values:
PAYPALThe type of pay-in.string
Returned values:
WEB, DIRECT, EXTERNAL_INSTRUCTIONThe type of execution for the pay-in.string
Max. length: 255 charactersThe URL to which the user is returned after the payment, whether the transaction is successful or not.
string
The URL to which to redirect the user to complete the payment.Caution: This variable URL is specific to each payment. You must rely on the returned URL in full (host, path, and queries) and not hardcode any part of it.
string
Max. length: 10 characters; only alphanumeric and spacesCustom description to appear on the user’s bank statement along with the platform name. Different banks may show more or less information. See the Customizing bank statement references article for details.
object
Information about the end user’s shipping address, managed by
ShippingPreference.Show properties
Show properties
string
The first name of the user.
string
Max. length: 100 charactersThe last name of the user.
object
Information about the shipping address.
Show properties
Show properties
string
Max. length: 255 charactersThe first line of the address.
string
Max. length: 255 charactersThe second line of the address.
string
Max. length: 255 charactersThe city of the address.
string
Max. length: 255 charactersThe region of the address. This field is optional except if the
Country is US, CA, or MX.string
Max. length: 255 charactersThe postal code of the address. The postal code can contain the following characters: alphanumeric, dashes, and spaces.
string
Format: Two-letter country code (ISO 3166-1 alpha-2 format)The country of the address.
array
objectInformation about the items purchased in the transaction. The total of all line items’
UnitAmount and TaxAmount must equal the DebitedFunds amount (negative amounts not allowed).Show properties
Show properties
string
Max. length: 127 characters (truncated after)The name of the item.
integer
The quantity of the item.
integer
The cost of the item, excluding tax.
integer
The tax amount applied to the item.
string
Max. length: 127 characters (truncated after)The platform’s unique reference for the seller. This value must be consistently used for the given seller. You can use, for example, the Mangopay
Caution: Failure to use a unique seller identifier may result in PayPal restricting your service.
UserId or the seller’s business name or first name and last name.Caution: Failure to use a unique seller identifier may result in PayPal restricting your service.
string
Allowed values: PHYSICAL_GOODS, DIGITAL_GOODS, DONATIONThe category of the item:
PHYSICAL_GOODS– Tangible items that can be physically shipped and received with proof of delivery upon arrival.DIGITAL_GOODS– Products or services that are distributed and consumed via digital platforms or devices.DONATION– Voluntary contribution made without any goods or services received in return. Multiple line items can be categorized asDONATIONwithin a single transaction, however it is not possible to combineDONATIONother line item categories within the same transaction.
string
Returned values: One of the supported languages in the ISO 639-1 format: AT, BR, CA, CH, CN, DE, DK, ES, FR, GB, ID, IL, IT, JK, JP, NL, NO, PL, PT, RU, SE, TH, TR, TW, US.The language in which the PayPal payment page is to be displayed.
string
Returned values:
SET_PROVIDED_ADDRESS, GET_FROM_FILE, NO_SHIPPINGInformation about the shipping address behavior on the PayPal payment page:SET_PROVIDED_ADDRESS- TheShippingparameter becomes required and its values are displayed to the end user, who is not able to modify them.GET_FROM_FILE– TheShippingparameter is ignored and the end user can choose from registered addresses.NO_SHIPPING– No shipping address section is displayed.
string
The email address registered on the PayPal account used to make the payment.
string
Max. length: 127 characters (truncated after)The platform’s order reference for the transaction.
array (object)
Shipping information of the
LineItems added to the pay-in object.Show properties
Show properties
string
The shipment’s tracking number provided by the carrier.
string
The carrier for the shipment. Use the country-specific version of the carrier if it exists, otherwise use its global version.
string
Default value: falseIf
true, sends an email notification to the PaypalBuyerAccountEmail containing the TrackingNumber and Carrier, which allows the end user to track their shipment with the carrier.string
The URL to which the user is returned after canceling the payment. If not provided, the Cancel button returns the user to the RedirectURL.
string
PayPal’s unique identifier for the order.
string
The country of the buyer.
string
The first name of the buyer.
string
The mobile phone number of the buyer.
string
The last name of the buyer.
string
The PayPal identifier of the buyer.
string
Max length: 128 characters (see data formats for details)The unique identifier of the object.
string
Max. length: 255 charactersCustom data that you can add to this object.
For transactions (pay-in, transfer, payout), you can use this parameter to identify corresponding information regarding the user, transaction, or payment methods on your platform.
For transactions (pay-in, transfer, payout), you can use this parameter to identify corresponding information regarding the user, transaction, or payment methods on your platform.
Unix timestamp
The date and time at which the object was created.
string
The unique identifier of the user at the source of the transaction.
object
Information about the debited funds. The amount must be equal to the total of all
UnitAmount and TaxAmount of all LineItems.Show properties
Show properties
string
Returned values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the funds.
integer
An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as
1260 whereas JPY 12 would be represented as just 12).object
Information about the credited funds (
CreditedFunds = DebitedFunds - Fees).Show properties
Show properties
string
Returned values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the funds.
integer
An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as
1260 whereas JPY 12 would be represented as just 12).object
Information about the fees.
Show properties
Show properties
string
Returned values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the fees.
integer
An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as
1260 whereas JPY 12 would be represented as just 12).string
Returned values:
CREATED, SUCCEEDED, FAILEDThe status of the transaction.string
The code indicating the result of the operation. This information is mostly used to handle errors or for filtering purposes.
string
The explanation of the result code.
Unix timestamp
The date and time at which the status changed to
SUCCEEDED, indicating that the transaction occurred. The statuses CREATED and FAILED return an ExecutionDate of null.string
Returned values:
PAYIN, TRANSFER, CONVERSION, PAYOUTThe type of the transaction.string
Returned values:
REGULAR, REPUDIATION, REFUND, SETTLEMENTThe nature of the transaction, providing more information about the context in which the transaction occurred:REGULAR– Relative to most of the transactions (pay-ins, payouts, and transfers) in a usual workflow.REPUDIATION– Automatic withdrawal of funds from the platform’s repudiation wallet as part of the dispute process (when the user has requested a chargeback).REFUND– Reimbursement of a transaction to the user (pay-in refund), to a wallet (transfer refund), or of a payout (payout refund, only initiated by Mangopay).SETTLEMENT– Transfer made to the repudiation wallet by the platform to settle a lost dispute.
string
The unique identifier of the credited wallet.
string
Returned values:
PAYPALThe type of pay-in.string
Returned values:
WEB, DIRECT, EXTERNAL_INSTRUCTIONThe type of execution for the pay-in.string
Max. length: 255 charactersThe URL to which the user is returned after the payment, whether the transaction is successful or not.
string
The URL to which to redirect the user to complete the payment.Caution: This variable URL is specific to each payment. You must rely on the returned URL in full (host, path, and queries) and not hardcode any part of it.
string
Max. length: 10 characters; only alphanumeric and spacesCustom description to appear on the user’s bank statement along with the platform name. Different banks may show more or less information. See the Customizing bank statement references article for details.
object
Information about the end user’s shipping address, managed by
ShippingPreference.Show properties
Show properties
string
The first name of the user.
string
Max. length: 100 charactersThe last name of the user.
object
Information about the shipping address.
Show properties
Show properties
string
Max. length: 255 charactersThe first line of the address.
string
Max. length: 255 charactersThe second line of the address.
string
Max. length: 255 charactersThe city of the address.
string
Max. length: 255 charactersThe region of the address. This field is optional except if the
Country is US, CA, or MX.string
Max. length: 255 charactersThe postal code of the address. The postal code can contain the following characters: alphanumeric, dashes, and spaces.
string
Format: Two-letter country code (ISO 3166-1 alpha-2 format)The country of the address.
array
objectInformation about the items purchased in the transaction. The total of all line items’
UnitAmount and TaxAmount must equal the DebitedFunds amount (negative amounts not allowed).Show properties
Show properties
string
Max. length: 127 characters (truncated after)The name of the item.
integer
The quantity of the item.
integer
The cost of the item, excluding tax.
integer
The tax amount applied to the item.
string
Max. length: 127 characters (truncated after)The platform’s unique reference for the seller. This value must be consistently used for the given seller. You can use, for example, the Mangopay
Caution: Failure to use a unique seller identifier may result in PayPal restricting your service.
UserId or the seller’s business name or first name and last name.Caution: Failure to use a unique seller identifier may result in PayPal restricting your service.
string
Allowed values: PHYSICAL_GOODS, DIGITAL_GOODS, DONATIONThe category of the item:
PHYSICAL_GOODS– Tangible items that can be physically shipped and received with proof of delivery upon arrival.DIGITAL_GOODS– Products or services that are distributed and consumed via digital platforms or devices.DONATION– Voluntary contribution made without any goods or services received in return. Multiple line items can be categorized asDONATIONwithin a single transaction, however it is not possible to combineDONATIONother line item categories within the same transaction.
string
Returned values: One of the supported languages in the ISO 639-1 format: AT, BR, CA, CH, CN, DE, DK, ES, FR, GB, ID, IL, IT, JK, JP, NL, NO, PL, PT, RU, SE, TH, TR, TW, US.The language in which the PayPal payment page is to be displayed.
string
Returned values:
SET_PROVIDED_ADDRESS, GET_FROM_FILE, NO_SHIPPINGInformation about the shipping address behavior on the PayPal payment page:SET_PROVIDED_ADDRESS- TheShippingparameter becomes required and its values are displayed to the end user, who is not able to modify them.GET_FROM_FILE– TheShippingparameter is ignored and the end user can choose from registered addresses.NO_SHIPPING– No shipping address section is displayed.
string
The email address registered on the PayPal account used to make the payment.
string
Max. length: 127 characters (truncated after)The platform’s order reference for the transaction.
array (object)
Shipping information of the
LineItems added to the pay-in object.Show properties
Show properties
string
The shipment’s tracking number provided by the carrier.
string
The carrier for the shipment. Use the country-specific version of the carrier if it exists, otherwise use its global version.
string
Default value: falseIf
true, sends an email notification to the PaypalBuyerAccountEmail containing the TrackingNumber and Carrier, which allows the end user to track their shipment with the carrier.string
The URL to which the user is returned after canceling the payment. If not provided, the Cancel button returns the user to the RedirectURL.
string
PayPal’s unique identifier for the order.
string
The country of the buyer.
string
The first name of the buyer.
string
The mobile phone number of the buyer.
string
The last name of the buyer.
string
The PayPal identifier of the buyer.
string
The unique identifier of the recurring pay-in registration. On PayPal, this parameter is only returned if the pay-in is a recurring one.
string
The unique identifier of the user at the source of the transaction.
string
Default value: The
AuthorId of the Deposit Preauthorization object.The unique identifier of the user whose wallet is credited. On the Deposit Preauthorized PayIn, this parameter returns the same value as the AuthorId of the Deposit Preauthorization object, regardless of the value sent.string
The unique identifier of the credited wallet.
string
The unique identifier of the deposit preauthorization.
string
Max length: 128 characters (see data formats for details)The unique identifier of the object.
Unix timestamp
The date and time at which the object was created.
string
The code indicating the result of the operation. This information is mostly used to handle errors or for filtering purposes.
string
The explanation of the result code.
string
Returned values:
CREATED, SUCCEEDED, FAILEDThe status of the transaction.Unix timestamp
The date and time at which the status changed to
SUCCEEDED, indicating that the transaction occurred. The statuses CREATED and FAILED return an ExecutionDate of null.string
Returned values:
PAYIN, TRANSFER, CONVERSION, PAYOUTThe type of the transaction.string
Returned values:
REGULAR, REPUDIATION, REFUND, SETTLEMENTThe nature of the transaction, providing more information about the context in which the transaction occurred:REGULAR– Relative to most of the transactions (pay-ins, payouts, and transfers) in a usual workflow.REPUDIATION– Automatic withdrawal of funds from the platform’s repudiation wallet as part of the dispute process (when the user has requested a chargeback).REFUND– Reimbursement of a transaction to the user (pay-in refund), to a wallet (transfer refund), or of a payout (payout refund, only initiated by Mangopay).SETTLEMENT– Transfer made to the repudiation wallet by the platform to settle a lost dispute.
string
Returned values:
CARD, DIRECT_DEBIT, PREAUTHORIZED, BANK_WIREThe type of pay-in.string
Returned values:
WEB, DIRECT, EXTERNAL_INSTRUCTIONThe type of execution for the pay-in.object
Information about the debited funds.
Show properties
Show properties
string
Returned values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the debited funds.
integer
An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as
1260 whereas JPY 12 would be represented as just 12).object
Information about the credited funds (
CreditedFunds = DebitedFunds - Fees).Show properties
Show properties
string
Returned values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the credited funds.
integer
An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as
1260 whereas JPY 12 would be represented as just 12).object
Information about the fees taken by the platform for this transaction (and hence transferred to the Fees Wallet).
Show properties
Show properties
string
Returned values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the fees.
integer
An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as
1260 whereas JPY 12 would be represented as just 12).string
Max. length: 255 charactersCustom data that you can add to this object.
For transactions (pay-in, transfer, payout), you can use this parameter to identify corresponding information regarding the user, transaction, or payment methods on your platform.
For transactions (pay-in, transfer, payout), you can use this parameter to identify corresponding information regarding the user, transaction, or payment methods on your platform.
object | null
Information about the authentication result, based on the request made by Mangopay and the decision of the issuer regarding the type of authentication to be enforced (if applicable).
Show properties
Show properties
string | null
Response values:
CHALLENGE, FRICTIONLESS, DIRECT_AUTHORIZATIONThe type of authentication:CHALLENGE– The issuer requested SCA to be enforced (for example, using 3DS).FRICTIONLESS– The transaction was exempted from SCA because an exemption was granted by the issuer.DIRECT_AUTHORIZATION– The transaction was sent to the issuer for authorization without any frictionless or challenge (for example, if SCA doesn’t apply).
null value typically indicates that authentication was not requested (for example, because the request failed before being sent) or a decision was not received.{
"Id": "wt_00a046e2-cc5c-46ba-91e0-1feca23922e4",
"Tag": "Created using the Mangopay API Postman collection",
"CreationDate": 1699367848,
"AuthorId": "204068024",
"DebitedFunds": {
"Currency": "EUR",
"Amount": 1500
},
"CreditedFunds": {
"Currency": "EUR",
"Amount": 1200
},
"Fees": {
"Currency": "EUR",
"Amount": 300
},
"Status": "SUCCEEDED",
"ResultCode": "000000",
"ResultMessage": "Success",
"ExecutionDate": 1699368834,
"Type": "PAYIN",
"Nature": "REGULAR",
"CreditedWalletId": "204089031",
"CreditedUserId": "204068024",
"PaymentType": "PAYPAL",
"ExecutionType": "WEB",
"ReturnURL": "http://www.mangopay.com/docs/please-ignore?transactionId=wt_00a046e2-cc5c-46ba-91e0-1feca23922e4",
"RedirectURL": "https://www.sandbox.paypal.com/checkoutnow?token=48X37022FD879043B",
"StatementDescriptor": "Mangopay",
"Shipping": {
"FirstName": "Alex",
"LastName": "Smith",
"Address": {
"AddressLine1": "6 rue de la Cité",
"AddressLine2": "Appartement 3",
"City": "Paris",
"Region": "île-de-france",
"PostalCode": "75003",
"Country": "FR"
}
},
"LineItems": [
{
"Name": "Running shoes",
"Quantity": 2,
"UnitAmount": 400,
"TaxAmount": 100,
"Description": "ID of Seller 1"
},
{
"Name": "Walking shoes",
"Quantity": 1,
"UnitAmount": 400,
"TaxAmount": 100,
"Description": "ID of Seller 2"
}
],
"Culture": "FR",
"ShippingPreference": "SET_PROVIDED_ADDRESS",
"PaypalBuyerAccountEmail": "alex.smith@example.com",
"Reference": "1234",
"Trackings": null,
"CancelURL": null,
"PaypalPayerID": null,
"BuyerCountry": null,
"BuyerFirstname": null,
"BuyerLastname": null,
"BuyerPhone": null,
"PaypalOrderID": "0V2469407F242402P"
}
{
"Id": "wt_70621ad8-4ea8-4ea5-9893-b4b5ebb1da17",
"Tag": "Created using the Mangopay API Postman collection",
"CreationDate": 1731580317,
"AuthorId": "user_m_01J9KR16BG7EDC8RNEY2M18EXK",
"DebitedFunds": {
"Currency": "EUR",
"Amount": 4500
},
"CreditedFunds": {
"Currency": "EUR",
"Amount": 4500
},
"Fees": {
"Currency": "EUR",
"Amount": 0
},
"Status": "SUCCEEDED",
"ResultCode": "000000",
"ResultMessage": "Success",
"ExecutionDate": 1731580323,
"Type": "PAYIN",
"Nature": "REGULAR",
"CreditedWalletId": "wlt_m_01J9KR4A7BH8KVE4PG6DTNS817",
"CreditedUserId": "user_m_01J9KR16BG7EDC8RNEY2M18EXK",
"PaymentType": "PAYPAL",
"ExecutionType": "WEB",
"ReturnURL": "http://example.com?transactionId=wt_70621ad8-4ea8-4ea5-9893-b4b5ebb1da17",
"StatementDescriptor": "Example123",
"Shipping": {
"FirstName": "Leland",
"LastName": "Baumbach",
"Address": {
"AddressLine1": "65247 Hand Walk",
"AddressLine2": "Mraz Neck",
"City": "Paris",
"Region": "Île-de-France",
"PostalCode": "75001",
"Country": "FR"
}
},
"LineItems": [
{
"Name": "Product C",
"Quantity": 1,
"UnitAmount": 1500,
"TaxAmount": 0,
"Description": "ID of Seller 1",
"Category": "PHYSICAL_GOODS"
},
{
"Name": "Product D",
"Quantity": 1,
"UnitAmount": 3000,
"TaxAmount": 0,
"Description": "ID of Seller 2",
"Category": "PHYSICAL_GOODS"
}
],
"Culture": "FR",
"ShippingPreference": "SET_PROVIDED_ADDRESS",
"PaypalBuyerAccountEmail": "sb-xej7a6945106@business.example.com",
"Reference": "abcd-efgh-ijkl",
"Trackings": null,
"CancelURL": "http://google.com?transactionId=wt_70621ad8-4ea8-4ea5-9893-b4b5ebb1da17",
"PaypalPayerID": "RVN3GJJS2KGV4",
"BuyerCountry": "FR",
"BuyerFirstname": "John",
"BuyerLastname": "Doe",
"BuyerPhone": null,
"PaypalOrderID": "9KH88598NK328901B",
"RecurringPayinRegistrationId": "recpayinreg_wt_c1fb7e3f-8204-4427-9251-df886fbb4e42"
}
{
"AuthorId": "user_m_01KMD5PX2KPDVQ0C37XR375MPP",
"CreditedUserId": "user_m_01KMD5PX2KPDVQ0C37XR375MPP",
"CreditedWalletId": "wlt_m_01KMD5SMMF7ZXQ8JM0W9DG8WZJ",
"DepositId": "deposit_wt_05e5e212-fa97-4d67-8c5e-1495eb91d8b4",
"Id": "wt_2d749eb5-90c6-4c3c-9146-bda5ffa65d3f",
"CreationDate": 1774264176,
"ResultCode": "000000",
"ResultMessage": "Success",
"Status": "SUCCEEDED",
"ExecutionDate": 1774264178,
"Type": "PAYIN",
"Nature": "REGULAR",
"PaymentType": "PREAUTHORIZED",
"ExecutionType": "WEB",
"DebitedFunds": {
"Currency": "GBP",
"Amount": 1000
},
"CreditedFunds": {
"Currency": "GBP",
"Amount": 1000
},
"Fees": {
"Currency": "GBP",
"Amount": 0
},
"Tag": "Created using Mangopay API Postman Collection",
"StatementDescriptor": null,
"AuthenticationResult": {
"AuthenticationType": null
}
}
<?php
require_once 'vendor/autoload.php';
use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;
$api = new MangoPayApi();
$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';
try {
$payinId = 'payin_m_01HYG8DRT5FHT1FV44MV9KR1BS';
$response = $api->PayIns->Get($payinId);
print_r($response);
} catch(MGPResponseException $e) {
print_r($e);
} catch(MGPException $e) {
print_r($e);
}
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
})
let myPayIn = {
Id: '156279887',
}
const viewPayIn = async (payinId) => {
return await mangopay.PayIns.get(payinId)
.then((response) => {
console.info(response)
return response
})
.catch((err) => {
console.log(err)
return false
})
}
viewPayIn(myPayIn.Id)
require 'mangopay'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'your-client-id'
client.client_apiKey = 'your-api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
def viewPayIn(payinId)
begin
response = MangoPay::PayIn.fetch(payinId)
puts response
return response
rescue MangoPay::ResponseError => error
puts "Failed to fetch PayIn: #{error.message}"
puts "Error details: #{error.details}"
return false
end
end
myPayIn = {
Id: '156279887'
}
viewPayIn(myPayIn[:Id])
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.mangopay.MangoPayApi;
import com.mangopay.entities.PayIn;
public class ViewPayIn {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-client-id");
mangopay.getConfig().setClientPassword("your-api-key");
PayIn payin = mangopay.getPayInApi().get("your-payin-id");
Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
String prettyJson = prettyPrint.toJson(payin);
System.out.println(prettyJson);
}
}
from pprint import pprint
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import PayIn
payin_id = 'wt_4fdf7754-6213-4016-be88-84587f093623'
try:
view_payin = PayIn.get(payin_id)
pprint(view_payin._data)
except PayIn.DoesNotExist:
print('PayIn {} does not exist.'.format(payin_id))
using MangoPay.SDK;
using MangoPay.SDK.Core.Enumerations;
using MangoPay.SDK.Entities;
using MangoPay.SDK.Entities.POST;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var viewPayIn = await api.PayIns.GetPayPalWebAsync("wt_2bd24e45-7b9d-4095-87a7-516a418d4c81");
string prettyPrint = JsonConvert.SerializeObject(viewPayIn, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
}
Was this page helpful?
⌘I